Package org.eclipse.birt.report.model.api.core

# Interface IAttributeListener

public interface IAttributeListener
Receives file name events after one attribute of the report design is changed.

## Method Summary

Modifier and Type
Method
Description
`void`
`fileNameChanged(ModuleHandle targetElement, AttributeEvent ev)`
Notifies the element is validated.

## Method Details

### fileNameChanged

void fileNameChanged(ModuleHandle targetElement, AttributeEvent ev)
Notifies the element is validated.

Parameters:
  `targetElement` - the validated element
  `ev` - the validation event which contains the error information